Subject: [multipathtcp] Proxy work

From: <[email-masked]>
Date: Fri, 14 Nov 2014 21:29:52 +0000

Hi,
Sorry I'm not in Hawaii, I'll be listening in if I'm still awake!
We have several proxy drafts that have been active for a meeting or more. We have the new middlebox one from Ed Lopez (on my reading list) and the old Rolf Winter draft that may be relevant draft-wr-mptcp-single-homed<https://tools.ietf.org/html/draft-wr-mptcp-single-homed>.

What would be good is if the authors can discuss how to produce something that deals with all aspects of our Charter milestone. At the moment I think we have some interesting work that touches some of these aspects, but not all. So it is hard to know where to start for a WG doc.
What would also be good is to know if other people are interested in the topic - including any of the people who developed (and are developing) the protocol - whether to work directly on a WG draft or to review it or even implement it (or indeed if people no longer think proxy stuff is a worthwhile activity).

<< Finally, the working group will explore whether an MPTCP-aware

  middlebox would be useful, where at least one end host is MPTCP-enabled.

  For example, potentially helping MPTCP's incremental deployment by

  allowing only one end host to be MPTCP-enabled and the middlebox acts as

  an MPTCP proxy for the other end host, which runs TCP; and potentially

  helping some mobility scenarios, where the middlebox acts as an anchor

  between two MPTCP-enabled hosts. The working group will detail what real

  problems an MPTCP-enabled middlebox might solve, how it would impact the

  Multipath TCP architecture (RFC6182<https://tools.ietf.org/html/rfc6182>), what proxy approach might be

  justified as compared against alternative solutions to the problems, and
  the likely feasibility of solving the technical and security issues.>>

thanks,
phil